org.apache.pdfbox.cos

## Interface ICOSVisitor

All Known Implementing Classes:
  COSWriter

    public interface ICOSVisitor

An interface for visiting a PDF document at the type (COS) level.

Author:
  Michael Traut

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`void` `visitFromArray(COSArray obj)` Notification of visit to Array object.
`void` `visitFromBoolean(COSBoolean obj)` Notification of visit to boolean object.
`void` `visitFromDictionary(COSDictionary obj)` Notification of visit to dictionary object.
`void` `visitFromDocument(COSDocument obj)` Notification of visit to document object.
`void` `visitFromFloat(COSFloat obj)` Notification of visit to float object.
`void` `visitFromInt(COSInteger obj)` Notification of visit to integer object.
`void` `visitFromName(COSName obj)` Notification of visit to name object.
`void` `visitFromNull(COSNull obj)` Notification of visit to null object.
`default void` `visitFromObject(COSObject obj)` Notification of visit to object.
`void` `visitFromStream(COSStream obj)` Notification of visit to stream object.
`void` `visitFromString(COSString obj)` Notification of visit to string object.

### Method Detail

#### visitFromArray

    void visitFromArray(COSArray obj)
                 throws IOException

Notification of visit to Array object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromBoolean

    void visitFromBoolean(COSBoolean obj)
                   throws IOException

Notification of visit to boolean object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromDictionary

    void visitFromDictionary(COSDictionary obj)
                      throws IOException

Notification of visit to dictionary object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromDocument

    void visitFromDocument(COSDocument obj)
                    throws IOException

Notification of visit to document object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromFloat

    void visitFromFloat(COSFloat obj)
                 throws IOException

Notification of visit to float object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromInt

    void visitFromInt(COSInteger obj)
               throws IOException

Notification of visit to integer object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromName

    void visitFromName(COSName obj)
                throws IOException

Notification of visit to name object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromNull

    void visitFromNull(COSNull obj)
                throws IOException

Notification of visit to null object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromStream

    void visitFromStream(COSStream obj)
                  throws IOException

Notification of visit to stream object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromString

    void visitFromString(COSString obj)
                  throws IOException

Notification of visit to string object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.

#### visitFromObject

    default void visitFromObject(COSObject obj)
                          throws IOException

Notification of visit to object.

Parameters:
  `obj` - The Object that is being visited.
Throws:
  `IOException` - If there is an error while visiting this object.